Bug 329336 - Krita crashes when converting to a colorspace with fewer channels if a channel is unchecked
Summary: Krita crashes when converting to a colorspace with fewer channels if a channe...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR crash
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-28 20:35 UTC by Dmitry Kazakov
Modified: 2021-12-01 10:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-12-28 20:35:27 UTC
1) Create an RGB image
2) Convert to Lab
3) Play with channels in Channel docker (it works incorrectly, btw)
4) Convert to Grayscale -> Crash

Thread 1 (Thread 0x7fa4122ca7a0 (LWP 22331)):
[KCrash Handler]
#6  0x00007fa409598d95 in raise () from /lib64/libc.so.6
#7  0x00007fa40959a2ab in abort () from /lib64/libc.so.6
#8  0x00007fa40a5519f4 in qt_message_output (msgType=<optimized out>, buf=<optimized out>) at global/qglobal.cpp:2291
#9  0x00007fa40a551baf in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7fa40a6a0648 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0x7fff839c3d48) at global/qglobal.cpp:2337
#10 0x00007fa40a551d54 in qFatal (msg=<optimized out>) at global/qglobal.cpp:2520
#11 0x00007fa40a551d7e in qt_assert_x (where=<optimized out>, what=<optimized out>, file=<optimized out>, line=<optimized out>) at global/qglobal.cpp:2044
#12 0x00007fa411659daa in operator[] (i=2, this=0x7fff839c3ea0) at /usr/include/QtCore/qlist.h:464
#13 KisTextureTileUpdateInfo::retrieveData (this=0x7fff839c40a0, image=<optimized out>, m_channelFlags=..., onlyOneChannelSelected=false, selectedChannelIndex=2) at /home/devel/kde-src/calligra-secondary/krita/ui/opengl/kis_texture_tile_update_info.h:81
#14 0x00007fa4116552dc in KisOpenGLImageTextures::updateCache (this=0x73baae0, rect=<optimized out>) at /home/devel/kde-src/calligra-secondary/krita/ui/opengl/kis_opengl_image_textures.cpp:235
#15 0x00007fa41143c13b in KisCanvas2::startUpdateCanvasProjection (this=0x7308880, rc=...) at /home/devel/kde-src/calligra-secondary/krita/ui/canvas/kis_canvas2.cpp:569
#16 0x00007fa41143cee9 in KisCanvas2::startUpdateInPatches (this=0x7308880, imageRect=...) at /home/devel/kde-src/calligra-secondary/krita/ui/canvas/kis_canvas2.cpp:470
#17 0x00007fa41143d0c1 in KisCanvas2::setDisplayFilter (this=0x7308880, displayFilter=<optimized out>) at /home/devel/kde-src/calligra-secondary/krita/ui/canvas/kis_canvas2.cpp:531
#18 0x00007fa3ec0aaa78 in LutDockerDock::updateDisplaySettings (this=0x414a700) at /home/devel/kde-src/calligra-secondary/krita/plugins/extensions/dockers/lut/lutdocker_dock.cpp:235
#19 0x00007fa3ec0abab0 in LutDockerDock::qt_metacall (this=0x414a700, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0x7fff839c49d0) at /home/devel/kde-build/calligra-secondary/krita/plugins/extensions/dockers/lut/lutdocker_dock.moc:107
#20 0x00007fa40a65459a in QMetaObject::activate (sender=0x4158750, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff839c49d0) at kernel/qobject.cpp:3287
#21 0x00007fa40b663de1 in QComboBox::currentIndexChanged (this=<optimized out>, _t1=-1) at .moc/release-shared/moc_qcombobox.cpp:302
#22 0x00007fa40b663e47 in QComboBoxPrivate::_q_emitCurrentIndexChanged (this=0x4158820, index=...) at widgets/qcombobox.cpp:1269
#23 0x00007fa40b6653ff in QComboBoxPrivate::_q_rowsRemoved (this=0x4158820, parent=<optimized out>) at widgets/qcombobox.cpp:1072
#24 0x00007fa40b668198 in QComboBox::qt_metacall (this=0x4158750, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0x7fff839c4b80) at .moc/release-shared/moc_qcombobox.cpp:200
#25 0x00007fa411714580 in SqueezedComboBox::qt_metacall (this=0x4158750, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff839c4b80) at /home/devel/kde-build/calligra-secondary/krita/ui/squeezedcombobox.moc:69
#26 0x00007fa40a65459a in QMetaObject::activate (sender=0x4159780, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff839c4b80) at kernel/qobject.cpp:3287
#27 0x00007fa40a69d5c4 in QAbstractItemModel::rowsRemoved (this=<optimized out>, _t1=<optimized out>, _t2=0, _t3=5) at .moc/release-shared/moc_qabstractitemmodel.cpp:195
#28 0x00007fa40a63c7ed in QAbstractItemModel::endRemoveRows (this=0x4159780) at kernel/qabstractitemmodel.cpp:2466
#29 0x00007fa40b830ff1 in QStandardItemModel::removeRows (this=<optimized out>, row=0, count=6, parent=<optimized out>) at itemviews/qstandarditemmodel.cpp:2800
#30 0x00007fa3ec0aa2db in LutDockerDock::slotImageColorSpaceChanged (this=0x414a700) at /home/devel/kde-src/calligra-secondary/krita/plugins/extensions/dockers/lut/lutdocker_dock.cpp:164
#31 0x00007fa3ec0aba21 in LutDockerDock::qt_metacall (this=0x414a700, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff839c4e00) at /home/devel/kde-build/calligra-secondary/krita/plugins/extensions/dockers/lut/lutdocker_dock.moc:100
#32 0x00007fa40a65459a in QMetaObject::activate (sender=0x2e584f0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff839c4e00) at kernel/qobject.cpp:3287
#33 0x00007fa410f47092 in KisImage::sigColorSpaceChanged (this=<optimized out>, _t1=0x3bdff20) at /home/devel/kde-build/calligra-secondary/krita/image/kis_image.moc:246
#34 0x00007fa410f4e777 in KisImage::qt_metacall (this=0x2e584f0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fff839c5000) at /home/devel/kde-build/calligra-secondary/krita/image/kis_image.moc:167
#35 0x00007fa40a65459a in QMetaObject::activate (sender=0x16189a0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff839c5000) at kernel/qobject.cpp:3287
#36 0x00007fa410deb6e2 in KisImageSignalRouter::sigColorSpaceChanged (this=<optimized out>, _t1=0x3bdff20) at /home/devel/kde-build/calligra-secondary/krita/image/moc_kis_image_signal_router.cpp:144
#37 0x00007fa410f56c97 in KisImageSignalRouter::slotNotification (this=0x16189a0, type=...) at /home/devel/kde-src/calligra-secondary/krita/image/kis_image_signal_router.cpp:104
#38 0x00007fa410deb9b7 in KisImageSignalRouter::qt_metacall (this=0x16189a0, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7fff839c5370) at /home/devel/kde-build/calligra-secondary/krita/image/moc_kis_image_signal_router.cpp:105
#39 0x00007fa40a65459a in QMetaObject::activate (sender=0x16189a0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff839c5370) at kernel/qobject.cpp:3287
#40 0x00007fa410deb617 in KisImageSignalRouter::sigNotification (this=<optimized out>, _t1=...) at /home/devel/kde-build/calligra-secondary/krita/image/moc_kis_image_signal_router.cpp:117
#41 0x00007fa410f46651 in KisImage::setProjectionColorSpace (this=0x2e584f0, colorSpace=<optimized out>) at /home/devel/kde-src/calligra-secondary/krita/image/kis_image.cc:754
#42 0x00007fa410e53fa0 in KisImageSetProjectionColorSpaceCommand::redo (this=0x2f88350) at /home/devel/kde-src/calligra-secondary/krita/image/commands/kis_image_set_projection_color_space_command.cpp:37
#43 0x00007fa40d2f8d52 in KUndo2QStack::push (this=0x181eed0, cmd=0x2f88350) at /home/devel/kde-src/calligra-secondary/libs/kundo2/kundo2stack.cpp:570
#44 0x00007fa411005a3a in addCommand (command=0x2f88350, this=0x31bcfb0) at /home/devel/kde-src/calligra-secondary/krita/image/kis_legacy_undo_adapter.cpp:47
#45 KisLegacyUndoAdapter::addCommand (this=0x31bcfb0, command=0x2f88350) at /home/devel/kde-src/calligra-secondary/krita/image/kis_legacy_undo_adapter.cpp:42
#46 0x00007fa410f48854 in KisImage::convertImageColorSpace (this=0x2e584f0, dstColorSpace=0x3bdff20, renderingIntent=KoColorConversionTransformation::IntentPerceptual, conversionFlags=...) at /home/devel/kde-src/calligra-secondary/krita/image/kis_image.cc:710
#47 0x00007fa3dab97630 in ColorSpaceConversion::slotImageColorSpaceConversion (this=<optimized out>) at /home/devel/kde-src/calligra-secondary/krita/plugins/extensions/colorspaceconversion/colorspaceconversion.cc:95
#48 0x00007fa3dab98f90 in ColorSpaceConversion::qt_metacall (this=0x901e200, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=<optimized out>) at /home/devel/kde-build/calligra-secondary/krita/plugins/extensions/colorspaceconversion/colorspaceconversion.moc:75
#49 0x00007fa40a65459a in QMetaObject::activate (sender=0x9020480, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff839c59a0) at kernel/qobject.cpp:3287
#50 0x00007fa40b2915d2 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#51 0x00007fa40b2917bf in QAction::activate (this=0x9020480, event=<optimized out>) at kernel/qaction.cpp:1257
#52 0x00007fa40b6c7969 in QMenuPrivate::activateCausedStack (this=0x96277e0, causedStack=..., action=0x9020480, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1005
#53 0x00007fa40b6cd5a2 in QMenuPrivate::activateAction (this=0x96277e0, action=0x9020480, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1097
#54 0x00007fa40c06cd40 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libkdeui.so.5
#55 0x00007fa40b2e82b6 in QWidget::event (this=0x7484a20, event=0x7fff839c6580) at kernel/qwidget.cpp:8295
#56 0x00007fa40b6ceb0b in QMenu::event (this=0x7484a20, e=0x7fff839c6580) at widgets/qmenu.cpp:2405
#57 0x00007fa40b297be4 in notify_helper (e=0x7fff839c6580, receiver=0x7484a20, this=0x6a1d40) at
Comment 1 Halla Rempt 2013-12-30 19:17:57 UTC
What was the bit depth? This code somehow passes the lut docker, was that one visible? I got a crash, too, but only after an undo of the conversion to grayscale: 

Thread 1 (Thread 0x7f38dec4e8c0 (LWP 5754)):
[KCrash Handler]
#5  0x00007f38d5be4849 in raise () from /lib64/libc.so.6
#6  0x00007f38d5be5cd8 in abort () from /lib64/libc.so.6
#7  0x00007f38d6c6d204 in qt_message_output(QtMsgType, char const*) () from /usr/lib64/libQtCore.so.4
#8  0x00007f38d6c6d389 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007f38d6c6db94 in qFatal(char const*, ...) () from /usr/lib64/libQtCore.so.4
#10 0x00007f38d6c6dbda in qt_assert(char const*, char const*, int) () from /usr/lib64/libQtCore.so.4
#11 0x00007f38dd952821 in KisLayer::setChannelFlags (this=0x508cf80, channelFlags=...) at /home/boud/kde/src/2.8/krita/image/kis_layer.cc:205
#12 0x00007f38dd897d3a in KisLayerPropsCommand::undo (this=0x1b21e680) at /home/boud/kde/src/2.8/krita/image/commands/kis_layer_props_command.cpp:75
#13 0x00007f38d9a543e4 in KUndo2Command::undo (this=0x60c8ed0) at /home/boud/kde/src/2.8/libs/kundo2/kundo2stack.cpp:231
#14 0x00007f38d9a552da in KUndo2QStack::undo (this=0x3bb2100) at /home/boud/kde/src/2.8/libs/kundo2/kundo2stack.cpp:684
#15 0x00007f38ddedfcc8 in KisDoc2::UndoStack::undo (this=0x3bb2100) at /home/boud/kde/src/2.8/krita/ui/kis_doc2_p.h:46
#16 0x00007f38d6d8ad68 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#17 0x00007f38d79fe752 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#18 0x00007f38d7a00123 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#19 0x00007f38d7a0027c in QAction::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#20 0x00007f38d86452bf in KAction::event(QEvent*) () from /usr/lib64/libkdeui.so.5
#21 0x00007f38d7a048ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#22 0x00007f38d7a0ae70 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#23 0x00007f38dd45daa7 in KoApplication::notify (this=<optimized out>, receiver=0x50b8a50, event=0x7fff83987cb0) at /home/boud/kde/src/2.8/libs/main/KoApplication.cpp:549
#24 0x00007f38d6d770ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#25 0x00007f38d7a35b86 in ?? () from /usr/lib64/libQtGui.so.4
#26 0x00007f38d7a35cb4 in ?? () from /usr/lib64/libQtGui.so.4
#27 0x00007f38d7a0c143 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#28 0x00007f38dd45daa7 in KoApplication::notify (this=<optimized out>, receiver=0x64e25f0, event=0x7fff83988000) at /home/boud/kde/src/2.8/libs/main/KoApplication.cpp:549
#29 0x00007f38d6d770ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#30 0x00007f38d7a9ed79 in ?? () from /usr/lib64/libQtGui.so.4
#31 0x00007f38d7a9f119 in ?? () from /usr/lib64/libQtGui.so.4
#32 0x00007f38d7a7ad3f in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#33 0x00007f38d7aa21f0 in ?? () from /usr/lib64/libQtGui.so.4
#34 0x00007f38d6d75d0f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#35 0x00007f38d6d76005 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#36 0x00007f38d6d7b13b in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#37 0x00007f38de624b55 in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/boud/kde/src/2.8/krita/main.cc:99
#38 0x00007f38d5bd0be5 in __libc_start_main () from /lib64/libc.so.6
#39 0x0000000000400a01 in _start () at ../sysdeps/x86_64/start.S:122
Comment 2 Halla Rempt 2013-12-30 19:20:17 UTC
Also:

[KCrash Handler]
#5  0x00007f1e0e48e849 in raise () from /lib64/libc.so.6
#6  0x00007f1e0e48fcd8 in abort () from /lib64/libc.so.6
#7  0x00007f1e0f517204 in qt_message_output(QtMsgType, char const*) () from /usr/lib64/libQtCore.so.4
#8  0x00007f1e0f517389 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007f1e0f517b94 in qFatal(char const*, ...) () from /usr/lib64/libQtCore.so.4
#10 0x00007f1e0f517bda in qt_assert(char const*, char const*, int) () from /usr/lib64/libQtCore.so.4
#11 0x00007f1e168b5e58 in testBit (i=2, this=0x7fffe16037b0) at /usr/include/QtCore/qbitarray.h:125
#12 retrieveData (selectedChannelIndex=<optimized out>, onlyOneChannelSelected=<optimized out>, m_channelFlags=..., image=..., this=<optimized out>) at /home/boud/kde/src/2.8/krita/ui/opengl/kis_texture_tile_update_info.h:107
#13 KisOpenGLImageTextures::updateCache (this=0x5417ba0, rect=...) at /home/boud/kde/src/2.8/krita/ui/opengl/kis_opengl_image_textures.cpp:235
#14 0x00007f1e166c5c6f in KisCanvas2::startUpdateCanvasProjection (this=0x535f090, rc=...) at /home/boud/kde/src/2.8/krita/ui/canvas/kis_canvas2.cpp:569
#15 0x00007f1e166c6779 in KisCanvas2::startUpdateInPatches (this=this@entry=0x535f090, imageRect=...) at /home/boud/kde/src/2.8/krita/ui/canvas/kis_canvas2.cpp:470
#16 0x00007f1e166c93d0 in KisCanvas2::setDisplayFilter (this=0x535f090, displayFilter=displayFilter@entry=0x0) at /home/boud/kde/src/2.8/krita/ui/canvas/kis_canvas2.cpp:531
#17 0x00007f1deddacece in LutDockerDock::updateDisplaySettings (this=this@entry=0x4f96c10) at /home/boud/kde/src/2.8/krita/plugins/extensions/dockers/lut/lutdocker_dock.cpp:242
#18 0x00007f1deddaecd4 in clearLut (this=<optimized out>) at /home/boud/kde/src/2.8/krita/plugins/extensions/dockers/lut/lutdocker_dock.cpp:389
#19 LutDockerDock::qt_static_metacall (_o=0x4f96c10, _c=<optimized out>, _id=7, _a=0x7fffe1603d20) at /home/boud/kde/build/2.8/krita/plugins/extensions/dockers/lut/lutdocker_dock.moc:86
#20 0x00007f1e0f634d68 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#21 0x00007f1e10673301 in QComboBox::currentIndexChanged(int) () from /usr/lib64/libQtGui.so.4
#22 0x00007f1e10673361 in ?? () from /usr/lib64/libQtGui.so.4
#23 0x00007f1e106758b0 in ?? () from /usr/lib64/libQtGui.so.4
#24 0x00007f1e0f634d68 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#25 0x00007f1e0f67f224 in QAbstractItemModel::rowsRemoved(QModelIndex const&, int, int) () from /usr/lib64/libQtCore.so.4
#26 0x00007f1e0f61bb4e in QAbstractItemModel::endRemoveRows() () from /usr/lib64/libQtCore.so.4
#27 0x00007f1e1082ee34 in QStandardItemModel::removeRows(int, int, QModelIndex const&) () from /usr/lib64/libQtGui.so.4
#28 0x00007f1e10672fbc in QComboBox::clear() () from /usr/lib64/libQtGui.so.4
#29 0x00007f1deddad6af in LutDockerDock::slotImageColorSpaceChanged (this=this@entry=0x4f96c10) at /home/boud/kde/src/2.8/krita/plugins/extensions/dockers/lut/lutdocker_dock.cpp:164
#30 0x00007f1deddaee68 in LutDockerDock::qt_static_metacall (_o=0x4f96c10, _c=<optimized out>, _id=0, _a=0x7fffe1604260) at /home/boud/kde/build/2.8/krita/plugins/extensions/dockers/lut/lutdocker_dock.moc:72
#31 0x00007f1e0f634d68 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#32 0x00007f1e161eaee2 in KisImage::sigColorSpaceChanged (this=this@entry=0x41324c0, _t1=0x3b28240) at /home/boud/kde/build/2.8/krita/image/kis_image.moc:259
#33 0x00007f1e161ee047 in KisImage::qt_static_metacall (_o=0x41324c0, _c=<optimized out>, _id=4, _a=0x7fffe16043f0) at /home/boud/kde/build/2.8/krita/image/kis_image.moc:131
#34 0x00007f1e0f634d68 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#35 0x00007f1e160b5822 in KisImageSignalRouter::sigColorSpaceChanged (this=this@entry=0x3950fa0, _t1=0x3b28240) at /home/boud/kde/build/2.8/krita/image/moc_kis_image_signal_router.cpp:157
#36 0x00007f1e161f8c70 in KisImageSignalRouter::slotNotification (this=this@entry=0x3950fa0, type=...) at /home/boud/kde/src/2.8/krita/image/kis_image_signal_router.cpp:104
#37 0x00007f1e160b65b8 in KisImageSignalRouter::qt_static_metacall (_o=0x3950fa0, _c=<optimized out>, _id=10, _a=0x7fffe1604690) at /home/boud/kde/build/2.8/krita/image/moc_kis_image_signal_router.cpp:81
#38 0x00007f1e0f634d68 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#39 0x00007f1e160b5757 in KisImageSignalRouter::sigNotification (this=<optimized out>, _t1=...) at /home/boud/kde/build/2.8/krita/image/moc_kis_image_signal_router.cpp:130
#40 0x00007f1e161f6dc5 in KisImageSignalRouter::emitNotification (this=<optimized out>, type=...) at /home/boud/kde/src/2.8/krita/image/kis_image_signal_router.cpp:68
#41 0x00007f1e161ee7a2 in KisImage::setProjectionColorSpace (this=0x41324c0, colorSpace=colorSpace@entry=0x3b28240) at /home/boud/kde/src/2.8/krita/image/kis_image.cc:754
#42 0x00007f1e16116f2f in KisImageSetProjectionColorSpaceCommand::undo (this=0x3a031d0) at /home/boud/kde/src/2.8/krita/image/commands/kis_image_set_projection_color_space_command.cpp:42
#43 0x00007f1e122fe3e4 in KUndo2Command::undo (this=0xc73bab0) at /home/boud/kde/src/2.8/libs/kundo2/kundo2stack.cpp:231
#44 0x00007f1e122ff2da in KUndo2QStack::undo (this=0x3085f00) at /home/boud/kde/src/2.8/libs/kundo2/kundo2stack.cpp:684
#45 0x00007f1e16789cc8 in KisDoc2::UndoStack::undo (this=0x3085f00) at /home/boud/kde/src/2.8/krita/ui/kis_doc2_p.h:46
#46 0x00007f1e0f634d68 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#47 0x00007f1e102a8752 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#48 0x00007f1e102aa123 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#49 0x00007f1e102aa27c in QAction::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#50 0x00007f1e10eef2bf in KAction::event(QEvent*) () from /usr/lib64/libkdeui.so.5
#51 0x00007f1e102ae8ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#52 0x00007f1e102b4e70 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#53 0x00007f1e15d07aa7 in KoApplication::notify (this=<optimized out>, receiver=0x3764330, event=0x7fffe1604d50) at /home/boud/kde/src/2.8/libs/main/KoApplication.cpp:549
#54 0x00007f1e0f6210ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#55 0x00007f1e102dfb86 in ?? () from /usr/lib64/libQtGui.so.4
#56 0x00007f1e102dfcb4 in ?? () from /usr/lib64/libQtGui.so.4
#57 0x00007f1e102b6143 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#58 0x00007f1e15d07aa7 in KoApplication::notify (this=<optimized out>, receiver=0x5418330, event=0x7fffe16050a0) at /home/boud/kde/src/2.8/libs/main/KoApplication.cpp:549
#59 0x00007f1e0f6210ad in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#60 0x00007f1e10348d79 in ?? () from /usr/lib64/libQtGui.so.4
#61 0x00007f1e10349119 in ?? () from /usr/lib64/libQtGui.so.4
#62 0x00007f1e10324d3f in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#63 0x00007f1e1034c1f0 in ?? () from /usr/lib64/libQtGui.so.4
#64 0x00007f1e0f61fd0f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#65 0x00007f1e0f620005 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#66 0x00007f1e0f62513b in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#67 0x00007f1e16eceb55 in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/boud/kde/src/2.8/krita/main.cc:99
#68 0x00007f1e0e47abe5 in __libc_start_main () from /lib64/libc.so.6
#69 0x0000000000400a01 in _start () at ../sysdeps/x86_64/start.S:122
Comment 3 Halla Rempt 2013-12-30 20:24:32 UTC
Git commit da4c5a32d551d897cec212cf7174aab8a3f3b099 by Boudewijn Rempt.
Committed on 30/12/2013 at 19:35.
Pushed by rempt into branch 'calligra/2.8'.

Only set an OCIO display for floating point images

M  +1    -1    krita/plugins/extensions/dockers/lut/lutdocker_dock.cpp

http://commits.kde.org/calligra/da4c5a32d551d897cec212cf7174aab8a3f3b099
Comment 4 Halla Rempt 2013-12-30 20:24:51 UTC
Git commit 4009a3300acd1b652a0897d6f1139f8990ef330c by Boudewijn Rempt.
Committed on 30/12/2013 at 19:35.
Pushed by rempt into branch 'master'.

Only set an OCIO display for floating point images

M  +1    -1    krita/plugins/extensions/dockers/lut/lutdocker_dock.cpp

http://commits.kde.org/calligra/4009a3300acd1b652a0897d6f1139f8990ef330c
Comment 5 Halla Rempt 2013-12-30 20:24:52 UTC
Git commit 0187de1f0239b41c32a54fd367c98378a602be74 by Boudewijn Rempt.
Committed on 30/12/2013 at 20:23.
Pushed by rempt into branch 'master'.

Don't crash when converting colorspace if channels are unchecked

M  +18   -17   krita/image/commands/kis_layer_props_command.cpp
M  +12   -12   krita/image/kis_colorspace_convert_visitor.cpp
M  +2    -0    krita/plugins/extensions/dockers/channeldocker/channeldocker_dock.cpp
M  +5    -12   krita/ui/canvas/kis_canvas2.cpp
M  +10   -1    krita/ui/canvas/kis_image_pyramid.cpp
M  +14   -4    krita/ui/opengl/kis_opengl_image_textures.cpp
M  +2    -1    krita/ui/opengl/kis_opengl_image_textures.h

http://commits.kde.org/calligra/0187de1f0239b41c32a54fd367c98378a602be74
Comment 6 Dmitry Kazakov 2021-12-01 10:13:45 UTC
Git commit d05ba9448eda7464ba5a6b0a06c8a8a7e87c9c0d by Dmitry Kazakov, on behalf of Mathias Wein.
Committed on 01/12/2021 at 10:06.
Pushed by dkazakov into branch 'master'.

Fix issues when soft proofing is active during colorspace conversion

The color transform needs to be reset before updating the canvas.
Also, there was an odd workaround to set new channel flags for the root
layer, but this was an async signal that caused an update in the middle
of invalidating the image data during conversion.
Instead, simply fetch the (after the previous fix valid) new channel flags
when the canvas gets notified about the color space change.
Related: bug 441165, bug 426641

M  +6    -0    libs/ui/canvas/kis_canvas2.cpp
M  +2    -0    libs/ui/opengl/KisOpenGLUpdateInfoBuilder.cpp
M  +0    -1    plugins/dockers/channeldocker/channeldocker_dock.cpp

https://invent.kde.org/graphics/krita/commit/d05ba9448eda7464ba5a6b0a06c8a8a7e87c9c0d
Comment 7 Dmitry Kazakov 2021-12-01 10:23:26 UTC
Git commit 413376726265eda75864eca9899c110ee7d5354e by Dmitry Kazakov, on behalf of Mathias Wein.
Committed on 01/12/2021 at 10:16.
Pushed by dkazakov into branch 'krita/5.0'.

Fix issues when soft proofing is active during colorspace conversion

The color transform needs to be reset before updating the canvas.
Also, there was an odd workaround to set new channel flags for the root
layer, but this was an async signal that caused an update in the middle
of invalidating the image data during conversion.
Instead, simply fetch the (after the previous fix valid) new channel flags
when the canvas gets notified about the color space change.
Related: bug 441165, bug 426641
(cherry picked from commit d05ba9448eda7464ba5a6b0a06c8a8a7e87c9c0d)

M  +6    -0    libs/ui/canvas/kis_canvas2.cpp
M  +2    -0    libs/ui/opengl/KisOpenGLUpdateInfoBuilder.cpp
M  +0    -1    plugins/dockers/channeldocker/channeldocker_dock.cpp

https://invent.kde.org/graphics/krita/commit/413376726265eda75864eca9899c110ee7d5354e